Bug 147193 - shell script error in ppp callback
shell script error in ppp callback
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-04 14:38 EST by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-18 12:03:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2005-02-04 14:38:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
The latest version of ppp in rawhide has a shell script error in the
callback script.

--- callback    2005-02-04 14:35:32.681091440 -0500
+++ /usr/share/doc/ppp-2.4.2/scripts/callback   2005-02-04
14:36:08.712613816 -0500
@@ -33,7 +33,7 @@
        ABORT           '\nNO ANSWER\r'                 \
        ABORT           '\nRINGING\r\n\r\nRINGING\r'    \
        ''              AT                              \
-       'OK-+++\c-OK'   'AT&C0&D2S0=0H0                 \
+       'OK-+++\c-OK'   'AT&C0&D2S0=0H0'                \
        TIMEOUT         30                              \
        OK              ATDT$TELEPHONE                  \
        CONNECT         ''                              \

Version-Release number of selected component (if applicable):
ppp-2.4.2-7

How reproducible:
Always

Steps to Reproduce:
1. sh -n /usr/share/doc/ppp-2.4.2/scripts/callback

Actual Results:  /usr/share/doc/ppp-2.4.2/scripts/callback: line 76:
unexpected EOF while looking for matching `''
/usr/share/doc/ppp-2.4.2/scripts/callback: line 78: syntax error:
unexpected end of file

Expected Results:  No problem reported.

Additional info:
Comment 1 Thomas Woerner 2005-08-18 12:03:36 EDT
Fixed in rawhide in rpm ppp-2.4.3-1 or newer.

Note You need to log in before you can comment on or make changes to this bug.